/**
 * WCF Addons Editor Core
 * @version 1.0.0
 */

/* global jQuery, WCF_Addons_Editor*/

(function ($, window, document, config) {
    elementor.channels.editor.on('wcf:editor:play_animation', (sectionName, panelView)=>{
        sectionName.$el.parent().find('.elementor-control-wcf_enable_animation_editor .elementor-switch-input').trigger('change');
        sectionName.$el.parent().find('.elementor-control-wcf_img_animation_editor .elementor-switch-input').trigger('change');
        sectionName.$el.parent().find('.elementor-control-wcf_text_animation_editor .elementor-switch-input').trigger('change');
        // sectionName.$el.parent().find('.elementor-control-wcf_enable_pin_editor .elementor-switch-input').trigger('change');
    });
    elementor.hooks.addAction('panel/open_editor/widget/wcf--mailchimp', function (panel, model, view) {

        const ajax_request = function ($api) {
            jQuery.ajax({
                type: "post",
                dataType: "json",
                url: config.ajaxUrl,
                data: {
                    action: "mailchimp_api",
                    nonce: config._wpnonce,
                    api: $api,
                },
                success: function (response) {
                    const audience = panel.$el.find('[data-setting="mailchimp_lists"]');
                    if (Object.keys(response).length) {
                        const data = {
                            id: Object.keys(response),
                            text: Object.values(response)
                        };
                        const newOption = new Option(data.text, data.id, false, false);
                        audience.append(newOption).trigger('change');
                    } else {
                        audience.empty();
                    }
                }
            })
        }

        const $element = panel.$el.find('[data-setting="mailchimp_api"]');

        if ($element.val()) {
            ajax_request($element.val());
        }

        $element.on('keyup', function () {
            ajax_request($element.val());
        });

    });

})(jQuery, window, document, WCF_Addons_Editor);
