<?php

add_filter( 'wcf_addons_dashboard_config', 'wcf_addon_pro_dashboard_config', 9, 1 );
add_filter( 'wcf_addons_dashboard_config', 'wcf_addon_pro_widgets_config', 9, 1 );

function wcf_addon_pro_dashboard_config($configs){

  $status = get_option('wcf_addon_sl_license_status'); 
  if($status && $status == 'valid')
  {
    $configs['wcf_valid'] = true;    
  } else {
    $configs['wcf_valid'] = false;
  } 
  
  $configs['sl_lic']       = get_option('wcf_addon_sl_license_key');
  $configs['sl_lic_email'] = get_option('wcf_addon_sl_license_email');
  
  return $configs;
}

function wcf_addon_pro_widgets_config($configs) {

  $wgt           = get_option( 'wcf_save_widgets' );
  $saved_widgets = is_array($wgt) ? array_keys( $wgt ) : [];
  
  if(isset($configs['dashboardProWidget'])) {
  
    foreach($configs['dashboardProWidget'] as $slug => &$proitem)
    {
    
      if(in_array($slug,$saved_widgets)){
        $proitem['is_active'] = true;
      }
        
    }
    
  }
 
  return $configs;
}

if(!function_exists('wcf_animation_builder_body_class')){

  function wcf_animation_builder_body_class($cls = [] ){
    $css_class = apply_filters('wcf_animation_builder_body_class', $cls);  
    echo 'class="' . esc_attr( implode( ' ',  $css_class ) ) . '"';
  }
}



