import { IconPlay } from "@/lib/icons";
import { Button } from "../ui/button";
import { useAnimationControl, useContentStep } from "@/hooks/app.hooks";

const EditorFooter = () => {
  const { contentStep, setContentStep } = useContentStep();
  const { updateAnimation, allAnimation } = useAnimationControl();

  const showPreview = () => {
    const iframe = document.getElementById(
      "wcf--animation-builder--animation--preview"
    );
    if (iframe) {
      const win = iframe.contentWindow;
      win.postMessage({ "wcf-animation-config": allAnimation });
    }
  };
  return (
    <>
      <div className="p-3 border-t border-border">
        <Button variant="play" size="play" onClick={() => showPreview()}>
          <IconPlay /> Preview
        </Button>
      </div>
      {contentStep.step > 1 ? (
        <div className="p-3 pb-4 border-t border-border flex justify-end items-center gap-1.5">
          <Button
            variant="secondary"
            className="py-[5px]"
            onClick={() =>
              setContentStep(
                contentStep.step === 1
                  ? { step: 1, data: {} }
                  : { step: contentStep.step - 1, data: {} }
              )
            }
          >
            Go Back
          </Button>
          <Button
            className="px-4 py-[5px]"
            onClick={() => {
              if (contentStep?.data?.id) {
                updateAnimation(contentStep.data);
              }
            }}
          >
            Save
          </Button>
        </div>
      ) : (
        ""
      )}
    </>
  );
};

export default EditorFooter;
