import { AppContext } from "@/context/app.context";
import { useContext } from "react";

export const useContentStep = () => {
  const {
    mainState: { contentStep },
    setContentStep,
    updateContentData,
    updateTimelineData,
    updateAnimationData,
    duplicateTimeline,
    deleteTimeline,
    duplicateAnimationData,
    deleteAnimationData,
  } = useContext(AppContext);
  return {
    contentStep,
    setContentStep,
    updateContentData,
    updateTimelineData,
    updateAnimationData,
    duplicateTimeline,
    deleteTimeline,
    duplicateAnimationData,
    deleteAnimationData,
  };
};

export const useAnimationControl = () => {
  const {
    mainState: { allAnimation },
    createAnimation,
    updateAnimation,
    duplicateAnimation,
    deleteAnimation,
    setAllAnimation
  } = useContext(AppContext);
  return {
    allAnimation,
    createAnimation,
    updateAnimation,
    duplicateAnimation,
    deleteAnimation,
    setAllAnimation
  };
};

export const usePageConfig = () => {
  const { setPageConfig } = useContext(AppContext);
  return {
    setPageConfig,
  };
};
